WP1PointSizeGroup Class Reference documentation

WP1PointSizeGroup Class Reference

`#include <WP1PointSizeGroup.h>`

Inheritance diagram for WP1PointSizeGroup:

## Public Member Functions
| WP1PointSizeGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1PointSizeGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1FixedLengthGroup
| WP1FixedLengthGroup (unsigned char group)
| ~WP1FixedLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Attributes
unsigned char | m_pointSize

## Additional Inherited Members
Static Public Member Functions inherited from WP1FixedLengthGroup
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## ◆ WP1PointSizeGroup()

WP1PointSizeGroup::WP1PointSizeGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## ◆ ~WP1PointSizeGroup()

WP1PointSizeGroup::~WP1PointSizeGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP1PointSizeGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP1FixedLengthGroup.

## ◆ parse()

void WP1PointSizeGroup::parse | ( | WP1Listener * | listener | ) |
| overridevirtual

Implements WP1Part.

## Member Data Documentation

## ◆ m_pointSize

unsigned char WP1PointSizeGroup::m_pointSize
| private

Referenced by _readContents(), parse(), and WP1PointSizeGroup().

The documentation for this class was generated from the following files:

- WP1PointSizeGroup.h
- WP1PointSizeGroup.cpp